using Microsoft.Extensions.Logging;
using Quartz;

namespace Brizco.Core.QuartzServices;

public class JobScheduler
{
    private readonly IScheduler _scheduler;
    private readonly ILogger<JobScheduler> _logger;

    public JobScheduler(IScheduler scheduler, ILogger<JobScheduler> logger)
    {
        _scheduler = scheduler;
        _logger = logger;
    }

    public void Start()
    {
        _scheduler.Start();

        _logger.LogInformation($"======== Scheduler Start ===========");

    }
}